# Order Export

Provides a minimal set of order data that can be used as a blueprint to create a new order

Endpoint: GET /v1/orders/order/{order_id}/export
Version: 1.2.0
Security: oAuth2ClientCredentials

## Path parameters:

  - `order_id` (string, required)

## Response 200 fields (application/json):

  - `transport_service` (any)
    Transport service within Qargo

  - `customer_reference_number` (any)

  - `service_level` (any)

  - `planning_instructions` (any)
    Additional freeform instructions for the planner.

  - `department` (any)
    Department linked to order

  - `neutral_order_type` (any)
    Neutral order

  - `container` (any)

  - `custom_fields` (any)
    User defined additional fields for this order.

  - `vehicle_category` (any)

  - `palletforce` (any)

  - `kuehne_nagel` (any)

  - `palletline` (any)

  - `transporeon` (any)

  - `dachser` (any)

  - `contact_emails` (any)
    List of contact emails to notify about the order

  - `import_export` (any)

  - `is_consignment_info_validated` (any)
    Flag indicating all consignment information is validated. Customers can only set this to true; only planners (or API/internal callers) can revert it.

  - `operation` (string, required)
    Enum: "CREATE", "UPDATE", "DELETE"

  - `order_identifier` (string, required)
    Identifier of the order when created from an external source

  - `import_configuration` (any)
    Additional import configuration

  - `consignments` (array, required)

  - `consignments.consignment_reference_number` (any)
    Consignment reference number

  - `consignments.cmr_reference_number` (any)

  - `consignments.planning_instructions` (any)
    Additional freeform instructions for the planner.

  - `consignments.custom_fields` (object)
    Additional user defined fields to fill in

  - `consignments.transport_network` (any)
    Transport network

  - `consignments.central_transport_network` (any)

  - `consignments.palletline` (any)

  - `consignments.palletforce` (any)

  - `consignments.transporeon` (any)

  - `consignments.pickup_stop` (object, required)
    First stop on this consignment.

  - `consignments.pickup_stop.activity_label` (any)
    Activity to execute at this location, ie. pickup/collect, couple/uncouple trailer

  - `consignments.pickup_stop.note` (any)
    Additional freeform data for this stop

  - `consignments.pickup_stop.reference_number` (any)

  - `consignments.pickup_stop.email` (any)

  - `consignments.pickup_stop.phone_number` (any)

  - `consignments.pickup_stop.mobile_number` (any)

  - `consignments.pickup_stop.time_window` (any)

  - `consignments.pickup_stop.planning_instructions` (any)
    Additional freeform instructions for the planner.

  - `consignments.pickup_stop.extras` (any)
    Additional services/options for stop

  - `consignments.pickup_stop.custom_fields` (object)
    Additional user defined fields to fill in

  - `consignments.pickup_stop.date` (any)
    Date on which stop happens. Optional for delivery stops when a service level is set on the order

  - `consignments.pickup_stop.custom_activity_label` (any)
    Custom activity related to the order

  - `consignments.pickup_stop.duration` (any)
    Duration of the stop in seconds

  - `consignments.pickup_stop.location` (object, required)
    Location of the stop

  - `consignments.pickup_stop.location.address` (any)
    First address line of the location

  - `consignments.pickup_stop.location.address_second_line` (any)
    Second address line of the location

  - `consignments.pickup_stop.location.city` (any)
    City of the location

  - `consignments.pickup_stop.location.state` (any)
    State of the location

  - `consignments.pickup_stop.location.country` (any)
    Country code (ISO 3166-1 alpha-2) of the location

  - `consignments.pickup_stop.location.postal_code` (any)
    Postal code of the location

  - `consignments.pickup_stop.location.name` (any)
    Name of the location

  - `consignments.pickup_stop.location.id` (any)
    Identifier of the location

  - `consignments.pickup_stop.location.latitude` (any)

  - `consignments.pickup_stop.location.longitude` (any)

  - `consignments.pickup_stop.location.description` (any)
    Location description

  - `consignments.pickup_stop.location.location_identifier` (any)
    External location identifier

  - `consignments.pickup_stop.drop_collect_empty` (any)
    Information for drop/collect empty stops

  - `consignments.delivery_stop` (object, required)
    Last stop on this consignment.

  - `consignments.goods` (any)

  - `consignments.import_export` (any)

  - `consignments.buyer` (any)
    Buyer information for this consignment

  - `consignments.seller` (any)
    Seller information for this consignment

  - `customer` (object, required)

  - `customer.name` (any)
    Human readable identifier

  - `customer.code` (any)
    Machine readable identifier

  - `transport_network` (any)
    Transport network within Qargo (Depot)

  - `pricing` (any)
    Pricing fields related to order

  - `input_source` (any)
    Source of this order input

  - `raw_input` (any)
    Original input document, for debugging purposes

  - `order_status` (string)
    Status of the order
    Enum: "QUOTE", "TO_PLAN"

  - `setup_stops` (any)
    List of stops for a container export scenario

  - `teardown_stops` (any)
    List of stops for a container import scenario

  - `container_load_unload_stop` (any)
    This field practically maps to the container yard. setup_stops (for pick-up) and teardown_stops (for drop-off) are replacing this field, please use them instead.

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)


## Response 400 fields

## Response 401 fields

## Response 403 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
